Get Contents
curl --request GET \
--url https://apigw.bienport.com/api/cms/{folderId}/contents \
--header 'Authorization: <authorization>' \
--header 'OrganizationId: <organizationid>'import requests
url = "https://apigw.bienport.com/api/cms/{folderId}/contents"
headers = {
"Authorization": "<authorization>",
"OrganizationId": "<organizationid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', OrganizationId: '<organizationid>'}
};
fetch('https://apigw.bienport.com/api/cms/{folderId}/contents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"content": {
"availableLocales": "tr_TR,en_US,",
"defaultLocale": "tr_TR",
"staticContents": [
{
"content": "base64-content",
"languageId": "tr_TR"
}
]
},
"contentCurrentValue": "base64-String",
"description": {
"availableLocales": "tr_TR,en_US,",
"defaultLocale": "tr_TR",
"descriptions": [
{
"content": "base64-content",
"languageId": "tr_TR"
}
]
},
"title": {
"availableLocales": "tr_TR,en_US,",
"defaultLocale": "tr_TR",
"titles": [
{
"content": "base64-content",
"languageId": "tr_TR"
}
]
},
"contentId": "30495",
"instanceId": 20155,
"descriptionCurrentValue": "Kampanya 1 Özet",
"displayDate": 1637925720000,
"createDate": 123,
"expirationDate": 1637925720000,
"folderId": 30492,
"siteId": 20182,
"id": 30509,
"indexable": true,
"layoutUuid": "<string>",
"modifiedDate": 1637935661431,
"resourcePrimKey": 123,
"reviewDate": 123,
"smallImage": true,
"smallImageId": 30498,
"smallImageURL": "https://www.domain.com/res.png",
"status": 0,
"statusByUserId": 20199,
"statusByUserName": "Portal Administrator",
"statusDate": 1637935937162,
"titleCurrentValue": "Kampanya 2",
"treePath": "/30492/",
"type": "general",
"urlTitle": "kampanya-2",
"userId": 20199,
"userName": "Portal Administrator",
"uuid": "fa696256-22c7-4161-b6fc-1929e33003a9",
"version": "1.1"
}
]{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}Get Contents
GET
/
cms
/
{folderId}
/
contents
Get Contents
Path Parameters
folderId
Response
Success.
Show child attributes
Show child attributes
Example:
"base64-String"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"30495"
Example:
20155
Example:
"Kampanya 1 Özet"
Example:
1637925720000
Example:
1637925720000
Example:
30492
Example:
20182
Example:
30509
Example:
true
Example:
1637935661431
Example:
true
Example:
30498
Example:
"https://www.domain.com/res.png"
Example:
0
Example:
20199
Example:
"Portal Administrator"
Example:
1637935937162
Example:
"Kampanya 2"
Example:
"/30492/"
Example:
"general"
Example:
"kampanya-2"
Example:
20199
Example:
"Portal Administrator"
Example:
"fa696256-22c7-4161-b6fc-1929e33003a9"
Example:
"1.1"
Was this page helpful?
⌘I